function distanceVector = computeDistances(testSet, testLabels)

global trainingSet trainingLabels 
global meanMatrix meanStdDev meanAbsDev covMat clusterCenters clusterSizes nets svmArray fuzzyIndeces


distanceVector = [];
load bounds.txt

svmvalues = [];

for i=1:size(testSet, 1)
    unknownFeatureVector = testSet(i, :);

    subject = testLabels(i);

    knownFeatureVector = meanMatrix(subject, :);
    userTrainingSet = trainingSet(find(trainingLabels == subject), :);
    stdDev = meanStdDev(subject,:);
    


         net = nets{subject};
         tmp = sim(net, unknownFeatureVector');
         distanceElement = -1 * tmp;
 
    
    
      if mod(i, 200) == 0
         %fprintf('subject:%d\n',subject); 
      end
    
    distanceVector = [distanceVector; distanceElement];
end    


% for i=1:size(svmvalues,1)
%     fprintf('%d:%f\n',i,svmvalues(i));
% end
    