function [errorVector] = performance_avg_roc(dataset, opType, trainingAlgorithm)


addpath distance;
addpath utilities;

if nargin < 3
    trainingAlgorithm = 'trainlm';
end    

if nargin < 2
    opType = 'identification'; 
end

if nargin < 1
    printf('Error at performance_avg_roc: The dataset is required for function: performance_avg_roc');
end    
    
warning off %#ok<WNOFF>    
    
global trainingSet trainingLabels genuineSet genuineLabels impostorSet impostorLabels

EER = [];

[trainingSet, trainingLabels, genuineSet, genuineLabels, impostorSet, impostorLabels] = processDataSet(dataset);


learn( trainingAlgorithm);

errorVector = testDetector( opType);


% resultFile = fopen('results.txt', 'a');
% fprintf('avgError:%f \n stDev:%f\n', avgError, stDev);
% fprintf(resultFile, '%f %f\n', avgError, stDev);
% if distanceMetric == 7
%     fprintf(resultFile, '\n');
% end
% fclose(resultFile);