function errorVector = testDetector(opType)

global genuineSet genuineLabels impostorSet impostorLabels

if strcmp(opType,'verification')
    genuineDistances = computeDistances( genuineSet, genuineLabels);
    impostorDistances = computeDistances( impostorSet, impostorLabels);
    errorVector = calculateOverallEER(genuineDistances, impostorDistances);
    avgError = mean(errorVector) ;
    stDev    = std(errorVector) ;
     fprintf('avgError:%f stDev:%f\n', avgError, stDev);
%     fprintf('%f \t %f\n', avgError, stDev);
elseif strcmp(opType,'identification')
    successRate = computeSuccess( genuineSet, genuineLabels, population);
    stDev = 0;
%     fprintf('successRate: %f \n', successRate);
end