function EER = calculateOverallEER(positives, negatives)
EER = [];

global genuineLabels impostorLabels

for i=1:51 
%    pindex = (i-1) * trainingSampleSize + 1;
%    nindex = (i-1) * 250 + 1;
%    clients = positives(pindex : (pindex + trainingSampleSize - 1), :) * (-1);
%    impostors = negatives(nindex : (nindex + 249), :) * (-1); 
   
   clients1 = positives(find(genuineLabels == i), :) * (-1);
   impostors1 = negatives(find(impostorLabels == i), :) * (-1);    
   
   [eqerr zmfar] = eer_zeromiss(clients1, impostors1);
   EER = [EER; eqerr];
end