function membershipValue = membership(input, categoryBounds)
    low = categoryBounds(1);
    mid = categoryBounds(2);
    upp = categoryBounds(3);
    if input < low || input > upp
       membershipValue = 0;
    elseif input < mid
       membershipValue = (input - low) / (mid - low);
    elseif input == mid
       membershipValue = 1;
    else
       membershipValue = (input - upp) / (mid - upp); 
    end
end
