function [trainingSet, trainingLabels, testSet, testLabels, impostorSet, impostorLabels] = processDataSet(dataset)

labelVector = [];
for i=1:51
    labelVector = [labelVector; i * ones(400,1)];
end
dataset(:,1) = labelVector;

trainingSet = dataset(dataset(:,2) <= 4, 4:34);
trainingLabels = dataset(dataset(:,2) <= 4, 1:1);
testSet = dataset(dataset(:,2) > 4, 4:34);
testLabels = dataset(dataset(:,2) > 4, 1:1);

% extract impostor scores
impostorSet = [];
impostorLabels = [];

subjects = unique(dataset(:,1));

for i=1:length(subjects)
    impostorSet = [impostorSet; dataset((dataset(:,2) == 1 & dataset(:,3) <= 5 & dataset(:,1) ~= subjects(i)), 4:34) ];
    tmp = repmat(subjects(i), 250);
    impostorLabels = [impostorLabels;  tmp(:,1)];
end



